From: Andrey Rakhmatullin <wrar@debian.org>
Date: Thu, 28 Nov 2024 23:02:59 +0500
Subject: Skip tests broken on Python 3.13.

---
 tests/test_opts.py | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

diff --git a/tests/test_opts.py b/tests/test_opts.py
index 6365d57..b1ba875 100644
--- a/tests/test_opts.py
+++ b/tests/test_opts.py
@@ -53,8 +53,8 @@ class OptsTest(unittest.TestCase):
         debugger._runscript.assert_called_once_with(script_name)
 
     @unittest.skipIf(
-        sys.version_info[0] != 3 or sys.version_info[1] < 11,
-        "<3.11 requires different test",
+        sys.version_info[0] != 3 or sys.version_info[1] < 11 or sys.version_info[1] >= 13,
+        "<3.11 requires a different test; broken on 3.13",
     )
     def test_debug_module_script_3_11(self, get_debugger_cls):
         module_name = 'my_buggy_module_3_11'
@@ -66,8 +66,8 @@ class OptsTest(unittest.TestCase):
         debugger._run.assert_called_once_with(module_name)
 
     @unittest.skipIf(
-        sys.version_info[0] != 3 or sys.version_info[1] < 11,
-        "<3.11 requires different test",
+        sys.version_info[0] != 3 or sys.version_info[1] < 11 or sys.version_info[1] >= 13,
+        "<3.11 requires different test; broken on 3.13",
     )
     @patch('ipdb.__main__.os.path.exists')
     def test_debug_script_3_11(self, exists, get_debugger_cls):
@@ -79,6 +79,10 @@ class OptsTest(unittest.TestCase):
         debugger = get_debugger_cls.return_value.return_value
         debugger._run.assert_called_once_with(os.path.join(os.getcwd(), script_name))
 
+    @unittest.skipIf(
+        sys.version_info[0] == 3 and sys.version_info[1] >= 13,
+        "Broken on 3.13",
+    )
     def test_option_m_fallback_on_py36(self, get_debugger_cls):
         self.set_argv('ipdb', '-m', 'my.module')
         with patch('ipdb.__main__.sys.version_info', (3, 6)):
